Subject: bug#14861: closed (Re: bug#14861: 24.3.50; emacs_backtrace.txt)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 15 Jul 2013 04:39:02 +0000

Your bug report

#14861: 24.3.50; emacs_backtrace.txt

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14861: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14861
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14861: 24.3.50; emacs_backtrace.txt
From: Eli Zaretskii <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 15 Jul 2013 07:37:53 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 14 Jul 2013 23:21:07 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> Translation:
> 
>   w32_backtrace at w32fns.c:7757
>   emacs_abort at w32fns.c:7789
>   terminate_due_to_signal at emacs.c:350
>   die at alloc.c:6532
>   unwind_create_frame at w32fns.c:4225
>   unbind_to at eval.c:3210
>   unwind_to_catch at eval.c:1105
>   Fthrow at eval.c:1132
>   Ftop_level at keyboard.c:1203
>   Ffuncall at eval.c:2787
>   exec_byte_code at bytecode.c:903
>   funcall_lambda at eval.c:3024
>   Ffuncall at eval.c:2839
>   apply1 at eval.c:2556
>   Fcall_interactively at callint.c:381
>   Ffuncall at eval.c:2797
>   exec_byte_code at bytecode.c:903
>   funcall_lambda at eval.c:2958
>   Ffuncall at eval.c:2839
>   call1 at eval.c:2589
>   command_loop_1 at keyboard.c:1575
>   internal_condition_case at eval.c:1289
>   command_loop_2 at keyboard.c:1164
>   internal_catch at eval.c:1063
>   command_loop at keyboard.c:1135
>   recursive_edit_1 at keyboard.c:776
>   Frecursive_edit at keyboard.c:840
>   Ffuncall at eval.c:2787
>   exec_byte_code at bytecode.c:903
>   funcall_lambda at eval.c:2958
>   Ffuncall at eval.c:2839
>   Fapply at eval.c:2329
>   apply1 at eval.c:2563
>   call_debugger at eval.c:322
>   maybe_call_debugger at eval.c:1703
>   Fsignal at eval.c:1523
>   Ffuncall at eval.c:2793

Thanks.

This crash is not interesting.  As I see it, some Lisp code called
signal, which entered the debugger, which I presume created a new
frame, and then died because of an obscure assertion violation when
the frame was deleted.  Debugger launched in separate frames is known
to do that, and no one ever cared.

Closing.

Subject: 24.3.50; emacs_backtrace.txt
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Sat, 13 Jul 2013 18:54:35 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Backtrace:
0x011ee099
0x011ee10b
0x010db39c
0x01152b26
0x011e765c
0x01170a05
0x0116c08f
0x0116c11b
0x010dec09
0x0116f6f0
0x011b2261
0x011702df
0x0116f949
0x0116f16f
0x01168425
0x0116f762
0x011b2261
0x0116ff1b
0x0116f949
0x0116f1f8
0x010df6d9
0x0116c53c
0x010deb3e
0x0116c025
0x010deaa5
0x010de28d
0x010de449
0x0116f6f0
0x011b2261
0x0116ff1b
0x0116f949
0x0116ec38
0x0116f1a3
0x0116a7dc
0x0116d1d7
0x0116cac9
0x0116f733
0x011b2261
0x0116ff1b
0x0116f949
0x011b2261
0x0116ff1b
0x0116f949
0x011b2261
0x011702df
0x0116fc28
0x0116e594
0x0116e283
0x0116a956
0x0116e083
0x0116dbd1
0x010ea6d9
0x0116c60c
0x010ea724
0x010eafb0
0x01070c81
0x010f4f1a
0x010f51e2
0x010f553b
0x01070ae1
0x010713c5
0x011eeea8
...

Backtrace:
0x011ee099
0x011ee10b
0x010db39c
0x01152b26
0x011e765c
0x01170a05
0x0116c08f
0x0116c11b
0x010dec09
0x0116f6f0
0x011b2261
0x011702df
0x0116f949
0x0116f16f
0x01168425
0x0116f762
0x011b2261
0x0116ff1b
0x0116f949
0x0116f1f8
0x010df6d9
0x0116c53c
0x010deb3e
0x0116c025
0x010deaa5
0x010de28d
0x010de449
0x0116f6f0
0x011b2261
0x0116ff1b
0x0116f949
0x0116ec38
0x0116f1a3
0x0116a7dc
0x0116d1d7
0x0116cac9
0x0116f733
0x011b2261
0x0116ff1b
0x0116f949
0x011b2261
0x0116ff1b
0x0116f949
0x011b2261
0x011702df
0x0116fc28
0x0116e594
0x0116e283
0x0116a956
0x0116e083
0x0116dbd1
0x010ea6d9
0x0116c60c
0x010ea724
0x010eafb0
0x01070c81
0x010f4f1a
0x010f51e2
0x010f553b
0x01070ae1
0x010713c5
0x011eeea8
...

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-07-01 on LEG570
Bzr revision: 113246 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --enable-checking CFLAGS='-O0 -g3'
 CPPFLAGS='-DGLYPH_DEBUG=1 -I/c/usr/include''